rte_eth_rxseg_capa(3)

NAME
rte_eth_rxseg_capa

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

__extension__ uint32_t multi_pools:1
uint32_t offset_allowed:1
uint32_t offset_align_log2:4
uint16_t max_nseg
uint16_t reserved

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice.

Ethernet device Rx buffer segmentation capabilities.

Definition at line 1756 of file rte_ethdev.h.

Field Documentation

  __extension__ uint32_t multi_pools
Supports receiving to multiple pools.

Definition at line 1758 of file rte_ethdev.h.

  uint32_t offset_allowed
Supports buffer offsets.

Definition at line 1759 of file rte_ethdev.h.

  uint32_t offset_align_log2
Required offset alignment.

Definition at line 1760 of file rte_ethdev.h.

  uint16_t max_nseg
Maximum amount of segments to split.

Definition at line 1761 of file rte_ethdev.h.

  uint16_t reserved
Reserved field.

Definition at line 1762 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.